package com.mortals.xhx.module.product.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.product.model.ProductEntity;
import com.mortals.xhx.module.product.model.ProductQuery;

/**
* Product
*
* 产品 Form
*
* @author zxfei
* @date 2022-04-25
*/
public class ProductForm extends BaseCRUDFormLong<ProductEntity> {
    private ProductEntity entity = new ProductEntity();
    private ProductQuery query = new ProductQuery();
    public ProductForm(){
    }

    @Override
    public ProductEntity getEntity() {
        return entity;
    }

    public void setProduct(ProductEntity entity) {
        this.entity = entity;
    }

    @Override
    public ProductQuery getQuery() {
        return query;
    }

    public void setQuery(ProductQuery query) {
        this.query = query;
    }
}